Bug 473198 - KMS:R480:X850XT modesetting panic; hard lockup. X does not work. "bad things may or may not happen"
KMS:R480:X850XT modesetting panic; hard lockup. X does not work. "bad things ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: 513462
  Show dependency treegraph
 
Reported: 2008-11-26 20:24 EST by Gregory Maxwell
Modified: 2010-12-05 02:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:05:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregory Maxwell 2008-11-26 20:24:25 EST
System: Intel X3360, MB chipset Nforce 780i SLI, Video  2x Radeon X850XT (R480) cards; worked fine in Fedora 9

Description of problem:
Installer blackscreens, "nomodeset" needed to install.

Install complete, reboot. Never even see grub. Screen flickers and goes into a higher resolution text mode and displays two messages: "timeout waiting for memory controller to update settings" and "bad things may or may not happen" then hard locks (ctrl-alt-delete does nothing). Adding "vesa" to the kernel command line results in almost the same behaviour, but with a couple of innocuous DRI initialization messages before those two errors.

Boot with nomodeset, system comes up... can't get into X.

rmmod dri radeon; modprobe dri debug=1 ; modprobe radeon modeset=1

Kernel panics.

Version-Release number of selected component (if applicable):
Fedora 10 x86_64 release ISO. 2.6.27.5-117.fc10.x86_64

How reproducible:
100%

Steps to Reproduce:
See above.
  
Actual results:
Fedora 10 is not currently useful for me.

Expected results:
Fedora 10 should be able to fall back to the Fedora 9 behaviour that worked.

Additional info:

Nov 26 17:57:42 localhost kernel: [drm] Module unloaded
Nov 26 17:57:42 localhost kernel: ------------[ cut here ]------------
Nov 26 17:57:42 localhost kernel: WARNING: at fs/proc/generic.c:809 remove_proc_entry+0x1e7/0x20a()
Nov 26 17:57:42 localhost kernel: remove_proc_entry: removing non-empty directory '/proc/dri', leaking at least '1'
Nov 26 17:57:42 localhost kernel: Modules linked in: sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 dm_multipath sha256_generic aes_x86_64 aes_generic cbc dm_crypt crypto_blkcipher uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd_page_alloc snd_hwdep snd cfi_cmdset_0002 cfi_util soundcore jedec_probe cfi_probe gen_probe i2c_nforce2 ck804xrom mtd pata_amd chipreg map_funcs firewire_ohci firewire_core crc_itu_t forcedeth serio_raw pcspkr pl2303 usbserial joydev ata_generic pata_acpi sata_nv raid456 async_xor async_memcpy async_tx xor raid1 drm(-) i2c_algo_bit i2c_core [last unloaded: radeon]
Nov 26 17:57:42 localhost kernel: Pid: 3102, comm: rmmod Not tainted 2.6.27.5-117.fc10.x86_64 #1
Nov 26 17:57:42 localhost kernel:
Nov 26 17:57:42 localhost kernel: Call Trace:
Nov 26 17:57:42 localhost kernel: [<ffffffff81041623>] warn_slowpath+0x8c/0xb5
Nov 26 17:57:42 localhost kernel: [<ffffffff810264e1>] ? flat_send_IPI_mask+0x52/0x6c
Nov 26 17:57:42 localhost kernel: [<ffffffff8101f864>] ? native_smp_send_reschedule+0x4d/0x4f
Nov 26 17:57:42 localhost kernel: [<ffffffff81031023>] ? need_resched+0x1e/0x28
Nov 26 17:57:42 localhost kernel: [<ffffffff813320ea>] ? _spin_lock_irq+0x21/0x26
Nov 26 17:57:42 localhost kernel: [<ffffffff813307bb>] ? wait_for_common+0x15a/0x174
Nov 26 17:57:42 localhost kernel: [<ffffffff8103a5a6>] ? try_to_wake_up+0x26f/0x281
Nov 26 17:57:42 localhost kernel: [<ffffffff810b8bc1>] ? virt_to_head_page+0x31/0x41
Nov 26 17:57:42 localhost kernel: [<ffffffff81331dea>] ? _spin_lock+0x9/0xc
Nov 26 17:57:42 localhost kernel: [<ffffffff81104a4e>] ? xlate_proc_name+0xa9/0xbb
Nov 26 17:57:42 localhost kernel: [<ffffffff81104cae>] remove_proc_entry+0x1e7/0x20a
Nov 26 17:57:42 localhost kernel: [<ffffffff81140cef>] ? selinux_capable+0x81/0x8a
Nov 26 17:57:42 localhost kernel: [<ffffffff810629ff>] ? __try_stop_module+0x0/0x3d
Nov 26 17:57:42 localhost kernel: [<ffffffff81330632>] ? _cond_resched+0x9/0x38
Nov 26 17:57:42 localhost kernel: [<ffffffff81330bbe>] ? mutex_lock+0x22/0x33
Nov 26 17:57:42 localhost kernel: [<ffffffffa0025c16>] drm_core_exit+0x12/0x647 [drm]
Nov 26 17:57:42 localhost kernel: [<ffffffff81065f5f>] sys_delete_module+0x1f9/0x258
Nov 26 17:57:42 localhost kernel: [<ffffffff810c71b3>] ? path_put+0x1d/0x21
Nov 26 17:57:42 localhost kernel: [<ffffffff8107e7d8>] ? audit_syscall_entry+0x101/0x135
Nov 26 17:57:42 localhost kernel: [<ffffffff8101024a>] system_call_fastpath+0x16/0x1b
Nov 26 17:57:42 localhost kernel:
Nov 26 17:57:42 localhost kernel: ---[ end trace ab69a0351a1f99a3 ]---
Nov 26 17:57:48 localhost kernel: [drm] Initialized drm 1.1.0 20060810
Nov 26 17:57:56 localhost kernel: ATOM BIOS: R480 DVI DVI VIVO BIOS BR10048
Nov 26 17:57:56 localhost kernel: [drm] Detected VRAM RAM=262144K, accessible=262144K, BAR=262144K
Nov 26 17:57:57 localhost kernel: allocated ffff88014fcbf000 1920x1080 fb: 0x00048000, bo ffff88014e564440
Nov 26 17:57:57 localhost kernel: Console: switching to colour frame buffer device 240x67
Nov 26 17:57:57 localhost kernel: [drm] TMDS-7: set mode 1920x1080 23
Nov 26 17:57:57 localhost kernel: [drm] DAC-9: set mode 1920x1080 36
Nov 26 17:57:57 localhost kernel: fb0: radeondrmfb frame buffer device
Nov 26 17:57:57 localhost kernel: registered panic notifier
Nov 26 17:57:57 localhost kernel: [drm] Loading R400 Microcode
Nov 26 17:57:57 localhost kernel: [drm] Num pipes: 4
Nov 26 17:57:57 localhost kernel: [drm] writeback test succeeded in 1 usecs
Nov 26 17:57:57 localhost kernel: [drm] Initialized radeon 1.29.0 20080528 on minor 0
Nov 26 17:57:57 localhost kernel: ------------[ cut here ]------------
Nov 26 17:57:57 localhost kernel: WARNING: at fs/sysfs/dir.c:463 sysfs_add_one+0x35/0x3d()
Nov 26 17:57:57 localhost kernel: sysfs: duplicate filename 'drm' can not be created
Nov 26 17:57:57 localhost kernel: Modules linked in: radeon(+) drm sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 dm_multipath sha256_generic aes_x86_64 aes_generic cbc dm_crypt crypto_blkcipher uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd_page_alloc snd_hwdep snd cfi_cmdset_0002 cfi_util soundcore jedec_probe cfi_probe gen_probe i2c_nforce2 ck804xrom mtd pata_amd chipreg map_funcs firewire_ohci firewire_core crc_itu_t forcedeth serio_raw pcspkr pl2303 usbserial joydev ata_generic pata_acpi sata_nv raid456 async_xor async_memcpy async_tx xor raid1 i2c_algo_bit i2c_core [last unloaded: drm]
Nov 26 17:57:57 localhost kernel: Pid: 3133, comm: modprobe Tainted: G        W 2.6.27.5-117.fc10.x86_64 #1
Nov 26 17:57:57 localhost kernel:
Nov 26 17:57:57 localhost kernel: Call Trace:
Nov 26 17:57:57 localhost kernel: [<ffffffff81041623>] warn_slowpath+0x8c/0xb5
Nov 26 17:57:57 localhost kernel: [<ffffffff8116b9bd>] ? number+0x113/0x216
Nov 26 17:57:57 localhost kernel: [<ffffffff8116b9bd>] ? number+0x113/0x216
Nov 26 17:57:57 localhost kernel: [<ffffffff81166e9a>] ? idr_get_empty_slot+0x153/0x22a
Nov 26 17:57:57 localhost kernel: [<ffffffff8116706e>] ? ida_get_new_above+0xfd/0x1ae
Nov 26 17:57:57 localhost kernel: [<ffffffff810d27de>] ? find_inode+0x2c/0x75
Nov 26 17:57:57 localhost kernel: [<ffffffff8110c7c8>] ? sysfs_ilookup_test+0x0/0x14
Nov 26 17:57:57 localhost kernel: [<ffffffff8110cb8a>] sysfs_add_one+0x35/0x3d
Nov 26 17:57:57 localhost kernel: [<ffffffff8110d13e>] create_dir+0x58/0x87
Nov 26 17:57:57 localhost kernel: [<ffffffff8110d1a5>] sysfs_create_dir+0x38/0x4f
Nov 26 17:57:57 localhost kernel: [<ffffffff81167cf0>] kobject_add_internal+0xd2/0x18f
Nov 26 17:57:57 localhost kernel: [<ffffffff81167e79>] kobject_add_varg+0x41/0x4e
Nov 26 17:57:57 localhost kernel: [<ffffffff81167f41>] kobject_add+0x64/0x66
Nov 26 17:57:57 localhost kernel: [<ffffffff811679b3>] ? kobject_init+0x43/0x83
Nov 26 17:57:57 localhost kernel: [<ffffffff811f12d4>] get_device_parent+0x123/0x152
Nov 26 17:57:57 localhost kernel: [<ffffffff811f2001>] device_add+0x6a/0x564
Nov 26 17:57:57 localhost kernel: [<ffffffff811679b3>] ? kobject_init+0x43/0x83
Nov 26 17:57:57 localhost kernel: [<ffffffff811f2514>] device_register+0x19/0x1d
Nov 26 17:57:57 localhost kernel: [<ffffffffa0018e88>] drm_sysfs_device_add+0x8c/0xcf [drm]
Nov 26 17:57:57 localhost kernel: [<ffffffffa00162e7>] drm_get_minor+0x1b2/0x242 [drm]
Nov 26 17:57:57 localhost kernel: [<ffffffff811764ee>] ? pci_find_capability+0x6f/0x71
Nov 26 17:57:57 localhost kernel: [<ffffffffa00166b7>] drm_get_dev+0x340/0x435 [drm]
Nov 26 17:57:57 localhost kernel: [<ffffffffa0011e54>] drm_init+0x5d/0x95 [drm]
Nov 26 17:57:57 localhost kernel: [<ffffffffa0041000>] ? radeon_init+0x0/0x6c [radeon]
Nov 26 17:57:57 localhost kernel: [<ffffffffa004106a>] radeon_init+0x6a/0x6c [radeon]
Nov 26 17:57:57 localhost kernel: [<ffffffff8100a047>] do_one_initcall+0x47/0x12e
Nov 26 17:57:57 localhost kernel: [<ffffffff81065bf5>] sys_init_module+0xa9/0x1b6
Nov 26 17:57:57 localhost kernel: [<ffffffff8101024a>] system_call_fastpath+0x16/0x1b
Nov 26 17:57:57 localhost kernel:
Nov 26 17:57:57 localhost kernel: ---[ end trace ab69a0351a1f99a3 ]---
Nov 26 17:57:57 localhost kernel: kobject_add_internal failed for drm with -EEXIST, don't try to register things with the same name in the same directory.
Nov 26 17:57:57 localhost kernel: Pid: 3133, comm: modprobe Tainted: G        W 2.6.27.5-117.fc10.x86_64 #1
Nov 26 17:57:57 localhost kernel:
Nov 26 17:57:57 localhost kernel: Call Trace:
Nov 26 17:57:57 localhost kernel: [<ffffffff81167d95>] kobject_add_internal+0x177/0x18f
Nov 26 17:57:57 localhost kernel: [<ffffffff81167e79>] kobject_add_varg+0x41/0x4e
Nov 26 17:57:57 localhost kernel: [<ffffffff81167f41>] kobject_add+0x64/0x66
Nov 26 17:57:57 localhost kernel: [<ffffffff811679b3>] ? kobject_init+0x43/0x83
Nov 26 17:57:57 localhost kernel: [<ffffffff811f12d4>] get_device_parent+0x123/0x152
Nov 26 17:57:57 localhost kernel: [<ffffffff811f2001>] device_add+0x6a/0x564
Nov 26 17:57:57 localhost kernel: [<ffffffff811679b3>] ? kobject_init+0x43/0x83
Nov 26 17:57:57 localhost kernel: [<ffffffff811f2514>] device_register+0x19/0x1d
Nov 26 17:57:57 localhost kernel: [<ffffffffa0018e88>] drm_sysfs_device_add+0x8c/0xcf [drm]
Nov 26 17:57:57 localhost kernel: [<ffffffffa00162e7>] drm_get_minor+0x1b2/0x242 [drm]
Nov 26 17:57:57 localhost kernel: [<ffffffff811764ee>] ? pci_find_capability+0x6f/0x71
Nov 26 17:57:57 localhost kernel: [<ffffffffa00166b7>] drm_get_dev+0x340/0x435 [drm]
Nov 26 17:57:57 localhost kernel: [<ffffffffa0011e54>] drm_init+0x5d/0x95 [drm]
Nov 26 17:57:57 localhost kernel: [<ffffffffa0041000>] ? radeon_init+0x0/0x6c [radeon]
Nov 26 17:57:57 localhost kernel: [<ffffffffa004106a>] radeon_init+0x6a/0x6c [radeon]
Nov 26 17:57:57 localhost kernel: [<ffffffff8100a047>] do_one_initcall+0x47/0x12e
Nov 26 17:57:57 localhost kernel: [<ffffffff81065bf5>] sys_init_module+0xa9/0x1b6
Nov 26 17:57:57 localhost kernel: [<ffffffff8101024a>] system_call_fastpath+0x16/0x1b
Nov 26 17:57:57 localhost kernel:
Nov 26 17:57:57 localhost kernel: ------------[ cut here ]------------
Nov 26 17:57:57 localhost kernel: WARNING: at fs/sysfs/dir.c:463 sysfs_add_one+0x35/0x3d()
Nov 26 17:57:57 localhost kernel: sysfs: duplicate filename 'drm' can not be created
Nov 26 17:57:57 localhost kernel: Modules linked in: radeon(+) drm sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 dm_multipath sha256_generic aes_x86_64 aes_generic cbc dm_crypt crypto_blkcipher uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd_page_alloc snd_hwdep snd cfi_cmdset_0002 cfi_util soundcore jedec_probe cfi_probe gen_probe i2c_nforce2 ck804xrom mtd pata_amd chipreg map_funcs firewire_ohci firewire_core crc_itu_t forcedeth serio_raw pcspkr pl2303 usbserial joydev ata_generic pata_acpi sata_nv raid456 async_xor async_memcpy async_tx xor raid1 i2c_algo_bit i2c_core [last unloaded: drm]
Nov 26 17:57:57 localhost kernel: Pid: 3133, comm: modprobe Tainted: G        W 2.6.27.5-117.fc10.x86_64 #1
Nov 26 17:57:57 localhost kernel:
Nov 26 17:57:57 localhost kernel: Call Trace:
Nov 26 17:57:57 localhost kernel: [<ffffffff81041623>] warn_slowpath+0x8c/0xb5
Nov 26 17:57:57 localhost kernel: [<ffffffff81041e93>] ? release_console_sem+0x1d0/0x1dc
Nov 26 17:57:57 localhost kernel: [<ffffffff81166e9a>] ? idr_get_empty_slot+0x153/0x22a
Nov 26 17:57:57 localhost kernel: [<ffffffff8116706e>] ? ida_get_new_above+0xfd/0x1ae
Nov 26 17:57:57 localhost kernel: [<ffffffff810d27de>] ? find_inode+0x2c/0x75
Nov 26 17:57:57 localhost kernel: [<ffffffff8110c7c8>] ? sysfs_ilookup_test+0x0/0x14
Nov 26 17:57:57 localhost kernel: [<ffffffff8110cb8a>] sysfs_add_one+0x35/0x3d
Nov 26 17:57:57 localhost kernel: [<ffffffff8110d13e>] create_dir+0x58/0x87
Nov 26 17:57:57 localhost kernel: [<ffffffff8110d1a5>] sysfs_create_dir+0x38/0x4f
Nov 26 17:57:57 localhost kernel: [<ffffffff81167cf0>] kobject_add_internal+0xd2/0x18f
Nov 26 17:57:57 localhost kernel: [<ffffffff81167e79>] kobject_add_varg+0x41/0x4e
Nov 26 17:57:57 localhost kernel: [<ffffffff81167f41>] kobject_add+0x64/0x66
Nov 26 17:57:57 localhost kernel: [<ffffffff811679b3>] ? kobject_init+0x43/0x83
Nov 26 17:57:57 localhost kernel: [<ffffffff811f12d4>] get_device_parent+0x123/0x152
Nov 26 17:57:57 localhost kernel: [<ffffffff811f2001>] device_add+0x6a/0x564
Nov 26 17:57:57 localhost kernel: [<ffffffff811679b3>] ? kobject_init+0x43/0x83
Nov 26 17:57:57 localhost kernel: [<ffffffff811f2514>] device_register+0x19/0x1d
Nov 26 17:57:57 localhost kernel: [<ffffffffa0018e88>] drm_sysfs_device_add+0x8c/0xcf [drm]
Nov 26 17:57:57 localhost kernel: [<ffffffffa00162e7>] drm_get_minor+0x1b2/0x242 [drm]
Nov 26 17:57:57 localhost kernel: [<ffffffff811764ee>] ? pci_find_capability+0x6f/0x71
Nov 26 17:57:57 localhost kernel: [<ffffffffa00166d9>] drm_get_dev+0x362/0x435 [drm]
Nov 26 17:57:57 localhost kernel: [<ffffffffa0011e54>] drm_init+0x5d/0x95 [drm]
Nov 26 17:57:57 localhost kernel: [<ffffffffa0041000>] ? radeon_init+0x0/0x6c [radeon]
Nov 26 17:57:57 localhost kernel: [<ffffffffa004106a>] radeon_init+0x6a/0x6c [radeon]
Nov 26 17:57:57 localhost kernel: [<ffffffff8100a047>] do_one_initcall+0x47/0x12e
Nov 26 17:57:57 localhost kernel: [<ffffffff81065bf5>] sys_init_module+0xa9/0x1b6
Nov 26 17:57:57 localhost kernel: [<ffffffff8101024a>] system_call_fastpath+0x16/0x1b
Nov 26 17:57:57 localhost kernel:
Nov 26 17:57:57 localhost kernel: ---[ end trace ab69a0351a1f99a3 ]---
Nov 26 17:57:57 localhost kernel: kobject_add_internal failed for drm with -EEXIST, don't try to register things with the same name in the same directory.
Nov 26 17:57:57 localhost kernel: Pid: 3133, comm: modprobe Tainted: G        W 2.6.27.5-117.fc10.x86_64 #1
Nov 26 17:57:57 localhost kernel:
Nov 26 17:57:57 localhost kernel: Call Trace:
Nov 26 17:57:57 localhost kernel: [<ffffffff81167d95>] kobject_add_internal+0x177/0x18f
Nov 26 17:57:57 localhost kernel: [<ffffffff81167e79>] kobject_add_varg+0x41/0x4e
Nov 26 17:57:57 localhost kernel: [<ffffffff81167f41>] kobject_add+0x64/0x66
Nov 26 17:57:57 localhost kernel: [<ffffffff811679b3>] ? kobject_init+0x43/0x83
Nov 26 17:57:57 localhost kernel: [<ffffffff811f12d4>] get_device_parent+0x123/0x152
Nov 26 17:57:57 localhost kernel: [<ffffffff811f2001>] device_add+0x6a/0x564
Nov 26 17:57:57 localhost kernel: [<ffffffff811679b3>] ? kobject_init+0x43/0x83
Nov 26 17:57:57 localhost kernel: [<ffffffff811f2514>] device_register+0x19/0x1d
Nov 26 17:57:57 localhost kernel: [<ffffffffa0018e88>] drm_sysfs_device_add+0x8c/0xcf [drm]
Nov 26 17:57:57 localhost kernel: [<ffffffffa00162e7>] drm_get_minor+0x1b2/0x242 [drm]
Nov 26 17:57:57 localhost kernel: [<ffffffff811764ee>] ? pci_find_capability+0x6f/0x71
Nov 26 17:57:57 localhost kernel: [<ffffffffa00166d9>] drm_get_dev+0x362/0x435 [drm]
Nov 26 17:57:57 localhost kernel: [<ffffffffa0011e54>] drm_init+0x5d/0x95 [drm]
Nov 26 17:57:57 localhost kernel: [<ffffffffa0041000>] ? radeon_init+0x0/0x6c [radeon]
Nov 26 17:57:57 localhost kernel: [<ffffffffa004106a>] radeon_init+0x6a/0x6c [radeon]
Nov 26 17:57:57 localhost kernel: [<ffffffff8100a047>] do_one_initcall+0x47/0x12e
Nov 26 17:57:57 localhost kernel: [<ffffffff81065bf5>] sys_init_module+0xa9/0x1b6
Nov 26 17:57:57 localhost kernel: [<ffffffff8101024a>] system_call_fastpath+0x16/0x1b
Nov 26 17:57:57 localhost kernel:
Nov 26 17:57:57 localhost kernel: ------------[ cut here ]------------
Nov 26 17:57:57 localhost kernel: WARNING: at fs/sysfs/dir.c:463 sysfs_add_one+0x35/0x3d()
Nov 26 17:57:57 localhost kernel: sysfs: duplicate filename '226:1' can not be created
Nov 26 17:57:57 localhost kernel: Modules linked in: radeon(+) drm sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 dm_multipath sha256_generic aes_x86_64 aes_generic cbc dm_crypt crypto_blkcipher uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd_page_alloc snd_hwdep snd cfi_cmdset_0002 cfi_util soundcore jedec_probe cfi_probe gen_probe i2c_nforce2 ck804xrom mtd pata_amd chipreg map_funcs firewire_ohci firewire_core crc_itu_t forcedeth serio_raw pcspkr pl2303 usbserial joydev ata_generic pata_acpi sata_nv raid456 async_xor async_memcpy async_tx xor raid1 i2c_algo_bit i2c_core [last unloaded: drm]
Nov 26 17:57:57 localhost kernel: Pid: 3133, comm: modprobe Tainted: G        W 2.6.27.5-117.fc10.x86_64 #1
Nov 26 17:57:57 localhost kernel:
Nov 26 17:57:57 localhost kernel: Call Trace:
Nov 26 17:57:57 localhost kernel: [<ffffffff81041623>] warn_slowpath+0x8c/0xb5
Nov 26 17:57:57 localhost kernel: [<ffffffff81166e9a>] ? idr_get_empty_slot+0x153/0x22a
Nov 26 17:57:57 localhost kernel: [<ffffffff8116706e>] ? ida_get_new_above+0xfd/0x1ae
Nov 26 17:57:57 localhost kernel: [<ffffffff810d27de>] ? find_inode+0x2c/0x75
Nov 26 17:57:57 localhost kernel: [<ffffffff8110c7c8>] ? sysfs_ilookup_test+0x0/0x14
Nov 26 17:57:57 localhost kernel: [<ffffffff8110cb8a>] sysfs_add_one+0x35/0x3d
Nov 26 17:57:57 localhost kernel: [<ffffffff8110d948>] sysfs_do_create_link+0xc5/0x12f
Nov 26 17:57:57 localhost kernel: [<ffffffff8110d9cd>] sysfs_create_link+0xe/0x11
Nov 26 17:57:57 localhost kernel: [<ffffffff811f2131>] device_add+0x19a/0x564
Nov 26 17:57:57 localhost kernel: [<ffffffff811679b3>] ? kobject_init+0x43/0x83
Nov 26 17:57:57 localhost kernel: [<ffffffff811f2514>] device_register+0x19/0x1d
Nov 26 17:57:57 localhost kernel: [<ffffffffa0018e88>] drm_sysfs_device_add+0x8c/0xcf [drm]
Nov 26 17:57:57 localhost kernel: [<ffffffffa00162e7>] drm_get_minor+0x1b2/0x242 [drm]
Nov 26 17:57:57 localhost kernel: [<ffffffff811764ee>] ? pci_find_capability+0x6f/0x71
Nov 26 17:57:57 localhost kernel: [<ffffffffa00166d9>] drm_get_dev+0x362/0x435 [drm]
Nov 26 17:57:57 localhost kernel: [<ffffffffa0011e54>] drm_init+0x5d/0x95 [drm]
Nov 26 17:57:57 localhost kernel: [<ffffffffa0041000>] ? radeon_init+0x0/0x6c [radeon]
Nov 26 17:57:57 localhost kernel: [<ffffffffa004106a>] radeon_init+0x6a/0x6c [radeon]
Nov 26 17:57:57 localhost kernel: [<ffffffff8100a047>] do_one_initcall+0x47/0x12e
Nov 26 17:57:57 localhost kernel: [<ffffffff81065bf5>] sys_init_module+0xa9/0x1b6
Nov 26 17:57:57 localhost kernel: [<ffffffff8101024a>] system_call_fastpath+0x16/0x1b
Nov 26 17:57:57 localhost kernel:
Nov 26 17:57:57 localhost kernel: ---[ end trace ab69a0351a1f99a3 ]---
Nov 26 17:57:57 localhost kernel: [drm:drm_sysfs_device_add] *ERROR* device add failed: -17
Nov 26 17:57:57 localhost kernel: DRM: Error sysfs_device_add.
Nov 26 17:57:57 localhost kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000000
Nov 26 17:57:57 localhost kernel: IP: [<ffffffffa0016082>] drm_put_minor+0x16/0x6f [drm]
Nov 26 17:57:57 localhost kernel: PGD 15b93f067 PUD 14c139067 PMD 14c023067 PTE 0
Nov 26 17:57:57 localhost kernel: Oops: 0000 [1] SMP 
Nov 26 17:57:57 localhost kernel: CPU 1 
Nov 26 17:57:57 localhost kernel: Modules linked in: radeon(+) drm sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 dm_multipath sha256_generic aes_x86_64 aes_generic cbc dm_crypt crypto_blkcipher uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd_page_alloc snd_hwdep snd cfi_cmdset_0002 cfi_util soundcore jedec_probe cfi_probe gen_probe i2c_nforce2 ck804xrom mtd pata_amd chipreg map_funcs firewire_ohci firewire_core crc_itu_t forcedeth serio_raw pcspkr pl2303 usbserial joydev ata_generic pata_acpi sata_nv raid456 async_xor async_memcpy async_tx xor raid1 i2c_algo_bit i2c_core [last unloaded: drm]
Nov 26 17:57:57 localhost kernel: Pid: 3133, comm: modprobe Tainted: G        W 2.6.27.5-117.fc10.x86_64 #1
Nov 26 17:57:57 localhost kernel: RIP: 0010:[<ffffffffa0016082>]  [<ffffffffa0016082>] drm_put_minor+0x16/0x6f [drm]
Nov 26 17:57:57 localhost kernel: RSP: 0018:ffff88014c065e38  EFLAGS: 00010202
Nov 26 17:57:57 localhost kernel: RAX: 00000000ffffffef RBX: 0000000000000000 RCX: ffff880028041dd0
Nov 26 17:57:57 localhost kernel: RDX: 0000000000000044 RSI: ffffe20004bed748 RDI: ffff8801579eb408
Nov 26 17:57:57 localhost kernel: RBP: ffff88014c065e48 R08: ffff88015b56bc60 R09: ffff88014c065d98
Nov 26 17:57:57 localhost kernel: R10: ffff88014c065d40 R11: ffff88014c065d68 R12: ffff8801579eb408
Nov 26 17:57:57 localhost kernel: R13: 00000000ffffffef R14: ffffffffa0357ac0 R15: ffff8801579eb408
Nov 26 17:57:57 localhost kernel: FS:  00007f7dd168b6f0(0000) GS:ffff88015fc04980(0000) knlGS:0000000000000000
Nov 26 17:57:57 localhost kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Nov 26 17:57:57 localhost kernel: CR2: 0000000000000000 CR3: 000000014c1c9000 CR4: 00000000000006e0
Nov 26 17:57:57 localhost kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Nov 26 17:57:57 localhost kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Nov 26 17:57:57 localhost kernel: Process modprobe (pid: 3133, threadinfo ffff88014c064000, task ffff8801524dc530)
Nov 26 17:57:57 localhost kernel: Stack:  ffff8801579eb000 00000000ffffffef ffff88014c065e98 ffffffffa001677e
Nov 26 17:57:57 localhost kernel: ffff88014c065e98 ffffffffa0358da0 ffff88015f1a1000 ffffffffa0358da0
Nov 26 17:57:57 localhost kernel: ffff88015f1a1000 0000000000000fa0 ffffffffa0357ac0 0000000000841448
Nov 26 17:57:57 localhost kernel: Call Trace:
Nov 26 17:57:57 localhost kernel: [<ffffffffa001677e>] drm_get_dev+0x407/0x435 [drm]
Nov 26 17:57:57 localhost kernel: [<ffffffffa0011e54>] drm_init+0x5d/0x95 [drm]
Nov 26 17:57:57 localhost kernel: [<ffffffffa0041000>] ? radeon_init+0x0/0x6c [radeon]
Nov 26 17:57:57 localhost kernel: [<ffffffffa004106a>] radeon_init+0x6a/0x6c [radeon]
Nov 26 17:57:57 localhost kernel: [<ffffffff8100a047>] do_one_initcall+0x47/0x12e
Nov 26 17:57:57 localhost kernel: [<ffffffff81065bf5>] sys_init_module+0xa9/0x1b6
Nov 26 17:57:57 localhost kernel: [<ffffffff8101024a>] system_call_fastpath+0x16/0x1b
Nov 26 17:57:57 localhost kernel:
Nov 26 17:57:57 localhost kernel:
Nov 26 17:57:57 localhost kernel: Code: 00 00 48 83 c4 58 44 89 e0 5b 41 5c 41 5d 41 5e 41 5f c9 c3 90 55 83 3d cc 91 02 00 00 48 89 e5 41 54 49 89 fc 53 48 8b 1f 74 17 <8b> 13 48 c7 c6 a0 68 02 a0 48 c7 c7 26 85 02 a0 31 c0 e8 21 9a 
Nov 26 17:57:57 localhost kernel: RIP  [<ffffffffa0016082>] drm_put_minor+0x16/0x6f [drm]
Nov 26 17:57:57 localhost kernel: RSP <ffff88014c065e38>
Nov 26 17:57:57 localhost kernel: CR2: 0000000000000000
Nov 26 17:57:57 localhost kernel: ---[ end trace ab69a0351a1f99a3 ]---
Comment 1 Gregory Maxwell 2008-11-29 18:58:23 EST
By creating an xorg.conf with a BusID I was able to get the system working with a single card while kernel modesetting is disabled. Two cards still results in various issues. 

(This isn't relevant for the bug reported here, but it may be helpful to other users in the same situation. Here is the configuration which works for a single card:

Boot with nomodeset and use the following as /etc/X11/xorg.conf

Section "Device"
Identifier "Videocard0"
Driver "radeon"
BusID "PCI:3:0:0"
EndSection

)
Comment 2 Gregory Maxwell 2009-06-08 12:16:44 EDT
With 2.6.29.4-168.fc11.x86_64 the 'bad things may happen' and hard lock still happens with this hardware configuration, although now the message is displayed on two heads rather than one.

(the nomodeset workaround still works)
Comment 3 Gregory Maxwell 2009-09-10 17:20:26 EDT
On the same hardware testday-20090908 also fails w/ Modesetting.  The system panics at  boot but continues booting only to later hang in udev probing. Without kernel modesetting it books fine. 

The system doesn't have a serial port, so I'm unable to capture the panic. (Spent the day yesterday trying to find someplace to buy a @#$@ db9 connector for the header on the motherboard but I couldn't)
 
I've copied out the start of the backtrace from the panic by hand. This is 100% reproducible, so if more detail is required I can grab it.

[drm:radeon_invalid_rreg] *ERROR* Invalid callback to read register 0x0072
---
kernel BUG at drivers/gpu/drm/radeon/radeon_device.c:239!
invalid opcode: 0000 [#1] SMP
last sysfs file: [changes each time]    
CPU 0
Modules linked in: Radeon+ [more stuff]
Pid: 158, comm: work_for_cpu Not tainted 2.6.31-0.212.rc9.git1.fc12.x86_64 #1 132-CK-NF78
RIP 0010:[<fff...a0072d7e>]
...
The backtrace is:
cail_mc_read+0x2f/0x45 [radeon]
atom_get_src_int+0x46a/0x576 [radeon]
? atom_execute_table+0x11f/0x262 [radeon]
atom_get_dst+0x50/0x6 [radeon]
Comment 4 Dave Airlie 2009-11-15 05:05:58 EST
can you attach your bios?

cd /sys/bus/pci/devices/<pciid>/

echo 1 > rom
cat rom > /tmp/r480.rom
echo 0 > rom

replace pciid with gpu pci id.
Comment 5 Bug Zapper 2009-11-16 04:39:21 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Vedran Miletić 2010-03-23 20:06:21 EDT
Reporter, can you retest with F13 Alpha?

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2010-11-04 07:40:12 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-12-05 02:05:38 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.